#ifndef R3UTILS_H_
#define R3UTILS_H_

#include "Algebra.h"

Matrix<4,4> MakeIdentityMatrix();
Matrix<4,4> MakeZeroMatrix();
Matrix<4,4> MakeUniScaleMatrix(float scale);
Matrix<4,4> MakeTranslationMatrix(const Vector<3>& trans);
Matrix<4,4> MakeRotationMatrix(float angle, char axis);

#endif
